use x11::xlib;

use crate::xlib::Window;

pub enum GlxDrawable<'a> {
  Window(Window<'a>),
  // TODO: pixmap
}

impl<'a> GlxDrawable<'a> {
  pub fn as_raw(&self) -> xlib::XID {
    match self {
      GlxDrawable::Window(window) => window.as_raw(),
    }
  }
}
