use x11::xlib;

use crate::xlib::{Display, IntoInt};

#[derive(Derivative)]
#[derivative(Debug)]
pub struct Colormap<'a> {
  #[derivative(Debug = "ignore")]
  pub display: &'a Display,
  pub inner: xlib::Colormap,
}

impl<'a> IntoInt for Colormap<'a> {
  fn into_int(&self) -> u64 {
    self.inner
  }
}
